export interface CodeTree {
    language: string;
    spans: string[];
    nodes: Code[];
}
export declare type Code = CodeTree | string;
export declare type TaggedFunction = (code: TemplateStringsArray, ...rest: Code[]) => CodeTree;
export declare type LanguageDictionary = Record<string, TaggedFunction>;
export declare const language: LanguageDictionary;
export interface Token {
    code: string;
    color: string | null;
    morph?: 'create' | 'delete' | 'retain';
}
export declare function parse(code: CodeTree): Promise<Token[]>;
export declare function getColor(classList: string[]): string | undefined;
export declare function diff(start: CodeTree, end: CodeTree): Promise<(Token | null)[]>;
//# sourceMappingURL=tags.d.ts.map